- include_role:
    name: commons
    tasks_from: helpers/resolve-component.yaml
  vars:
    obj_apivers: wopla.io/v1beta1
    obj_kind: SOPlanning
- name: Sets SOPlanning CR Facts
  set_fact:
    soplanning_name: "{{ ('soplanning-' ~ found_cr.resources[0].metadata.name)
                           if (found_cr is defined
                               and found_cr.resources is defined
                               and found_cr.resources | length > 0)
                           else False }}"
    soplanning_namespace: "{{ found_cr.resources[0].metadata.namespace
                                if (found_cr is defined
                                    and found_cr.resources is defined
                                    and found_cr.resources | length > 0)
                                else False }}"
- name: Sets SOPlanning Facts
  set_fact:
    soplanning_api_address: "{{ found_cr.resources[0].status.internal }}"
    soplanning_api_public: "{{ found_cr.resources[0].status.public }}"
  when:
  - found_cr.resources is defined
  - found_cr.resources | length > 0
  - found_cr.resources[0].status is defined
  - found_cr.resources[0].status.ready is defined
